<div class="cover-content">
  <div class="top-content">
    <span class="title-box">Well Name</span>
    <div class="cover-top">
      <div class="input-here">
        <xrd-dropdown
          [data]="optionsWellName"
          (callback)="callbackDropdown($event)"
          [hasFiltering]="true"
        ></xrd-dropdown>
      </div>
      <!-- end/input here -->
      <div class="box-edit">
        <ul class="list-edit">
          <li>
            <span class="name-input">OB Gradient</span>
            <div
              class="input-here"
              [ngClass]="{
                'show-unit': dataInputs.obGradient,
                'is-invalid': showError && !dataInputs.obGradient
              }"
            >
              <input
                type="text"
                placeholder="-"
                [(ngModel)]="dataInputs.obGradient"
                xrdOnlyNumber
              />
              <span class="txt-unit">PSI/{{ txtUnit }}</span>
            </div>
          </li>
          <!-- end/cover input -->
          <li>
            <span class="name-input">Poisson’s Ratio</span>
            <div
              class="input-here"
              [ngClass]="{
                'is-invalid': showError && !dataInputs.poissonSRatio
              }"
            >
              <input
                type="text"
                placeholder="-"
                [(ngModel)]="dataInputs.poissonSRatio"
                xrdOnlyNumber
              />
            </div>
          </li>
          <!-- end/cover input -->
          <li>
            <span class="name-input">Pore Pressure Gradient</span>
            <div
              class="input-here"
              [ngClass]="{
                'show-unit': dataInputs.porePressureGradient,
                'is-invalid':
                  showError && !dataInputs.porePressureGradient
              }"
            >
              <input
                type="text"
                placeholder="-"
                [(ngModel)]="dataInputs.porePressureGradient"
                xrdOnlyNumber
              />
              <span class="txt-unit">PSI/{{ txtUnit }}</span>
            </div>
          </li>
          <!-- end/cover input -->
          <li>
            <span class="name-input">Fract. Gradient</span>
            <div
              class="input-here"
              [ngClass]="{
                'show-unit': dataInputs.fractGradient,
                'is-invalid': showError && !dataInputs.fractGradient
              }"
            >
              <input
                type="text"
                placeholder="-"
                [(ngModel)]="dataInputs.fractGradient"
                xrdOnlyNumber
              />
              <span class="txt-unit">PSI/{{ txtUnit }}</span>
            </div>
          </li>
          <!-- end/cover input -->
          <li>
            <span class="name-input">Biot’s α</span>
            <div
              class="input-here"
              [ngClass]="{
                'is-invalid': showError && !dataInputs.biotsAlpha
              }"
            >
              <input
                type="text"
                placeholder="-"
                [(ngModel)]="dataInputs.biotsAlpha"
                xrdOnlyNumber
              />
            </div>
          </li>
          <!-- end/cover input -->
        </ul>
        <!-- end/list edit -->
      </div>
      <!-- end/box edit -->
    </div>
    <!-- end/cover top -->
    <div class="box-range" #inputList>
      <div class="cover-top-title">
        <span class="name-list">Depth</span>
        <mat-checkbox
          [(ngModel)]="showRange"
          (change)="changeValueRange($event)"
          >Range</mat-checkbox
        >
      </div>
      <ul
        class="list-ranger"
        *ngFor="let depth of dataInputs.depths; let i = index;"
        [ngClass]="{ 'show-range': showRange }"
      >
        <li class="box-start-range">
          <xrd-input-range
            [showError]="showError"
            [incrementBy]="showRange ? depth.increment : selectedIncrementBy"
            [value]="showRange ? depth.from : depth"
            [unit]="txtUnit"
            (callback)="callbackRangeStart($event, i)"
          >
          </xrd-input-range>
        </li>
        <li class="box-end-range">
          <xrd-input-range
            [showError]="showError"
            [incrementBy]="showRange ? depth.increment : selectedIncrementBy"
            [value]="showRange ? depth.to : depth"
            [unit]="txtUnit"
            (callback)="callbackRangeEnd($event, i)"
          >
          </xrd-input-range>
          <span class="line-space"></span>
        </li>
        <li class="box-increment">
          <span class="name-list">Increment By</span>
          <mat-form-field>
            <mat-select placeholder="-- Select --" [(value)]="!showRange ? selectedIncrementBy : depth.increment" disableRipple>
              <mat-option
                class="option-right"
                *ngFor="let option of optionsIncrementBy"
                [value]="
                  txtUnit === 'ft'
                    ? option.value
                    : (option.value / 3.2808).toFixed(2)
                "
              >
                {{
                  txtUnit === "ft"
                    ? option.value
                    : (option.value / 3.2808 | number: "1.2-2")
                }}
                {{ txtUnit }}
              </mat-option>
            </mat-select>
          </mat-form-field>
        </li>
        <li class="box-remove-depth-btn">
          <a *ngIf="this.dataInputs.depths.length > 1"
            href="javascript:;" class="click-add-range" (click)="removeDepthRowFunc(i)">
            <img src="/assets/images/remove.svg" alt="remove">
          </a>
        </li>
      </ul>
      <a href="javascript:;" class="click-add-range" (click)="addDepthFunc()"
        >Add Depth {{ showRange ? "Range" : "" }}</a
      >
    </div>
    <div class="content-loading" *ngIf="isLoading">
      <xrd-spinner></xrd-spinner>
    </div>
    <!-- end/box range -->
    <div class="box-table">
      <span class="line-top"></span>
      <xrd-table-net-confining-stress
        *ngIf="showTableCalculator"
        [data]="dataCalculator.results"
        [unit]="txtUnit"
        #ncsTable
      >
      </xrd-table-net-confining-stress>
    </div>
  </div>
  <!-- end/top content -->
</div>
<!-- end/cover page -->
